SoSpecularColorElement(3)

NAME
SoSpecularColorElement - The SoSpecularColorElement is yet to be documented.

SYNOPSIS

#include <Inventor/elements/SoSpecularColorElement.h>

Inherits SoReplacedElement.

  Public Member Functions
virtual void init (SoState *state)
int32_t getNum (void) const
FIXME: write doc.
const SbColor & get (const int index) const
FIXME: write doc.
const SbColor * getArrayPtr (void) const
Public Member Functions inherited from SoReplacedElement
virtual SbBool matches (const SoElement *element) const
virtual SoElement * copyMatchInfo () const
SbUniqueId getNodeId () const
virtual void print (FILE *file) const
Public Member Functions inherited from SoElement
const SoType getTypeId (void) const
int getStackIndex (void) const
virtual void push (SoState *state)
virtual void pop (SoState *state, const SoElement *prevTopElement)
void setDepth (const int depth)
int getDepth (void) const
virtual ~SoElement ()

  Static Public Member Functions
static SoType getClassTypeId (void)
static int getClassStackIndex (void)
static void * createInstance (void)
static void initClass (void)
static void set (SoState *const state, SoNode *const node, const int32_t numColors, const SbColor *const colors)
FIXME: write doc.
static const SoSpecularColorElement * getInstance (SoState *state)
FIXME: write doc.
Static Public Member Functions inherited from SoReplacedElement
static SoType getClassTypeId (void)
static int getClassStackIndex (void)
static void initClass (void)
Static Public Member Functions inherited from SoElement
static void initClass (void)
static SoType getClassTypeId (void)
static int getClassStackIndex (void)
static void initElements (void)
static int getNumStackIndices (void)
static SoType getIdFromStackIndex (const int stackIndex)

  Protected Member Functions
virtual ~SoSpecularColorElement ()
Protected Member Functions inherited from SoReplacedElement
virtual ~SoReplacedElement ()
Protected Member Functions inherited from SoElement
SoElement (void)
void capture (SoState *const state) const
virtual void captureThis (SoState *state) const
void setTypeId (const SoType typeId)
void setStackIndex (const int index)
SoElement * getNextInStack (void) const
SoElement * getNextFree (void) const

  Additional Inherited Members
Static Protected Member Functions inherited from SoReplacedElement
static SoElement * getElement (SoState *const state, const int stackIndex, SoNode *const node)
Static Protected Member Functions inherited from SoElement
static SoElement * getElement (SoState *const state, const int stackIndex)
static const SoElement * getConstElement (SoState *const state, const int stackIndex)
static int createStackIndex (const SoType id)
Protected Attributes inherited from SoReplacedElement
SbUniqueId nodeId
Protected Attributes inherited from SoElement
SoType typeId
int stackIndex
int depth
Static Protected Attributes inherited from SoElement
static int classStackIndex
static SoTypeList * stackToType

Detailed Description

The SoSpecularColorElement is yet to be documented. FIXME: write doc.

Constructor & Destructor Documentation

  SoSpecularColorElement::~SoSpecularColorElement () [protected], [virtual]
Destructor.

Member Function Documentation

  SoType SoSpecularColorElement::getClassTypeId (void ) [static]
This static method returns the SoType object associated with objects of this class.

  int SoSpecularColorElement::getClassStackIndex (void ) [static]
This static method returns the state stack index for the class.

  void * SoSpecularColorElement::createInstance (void ) [static]
This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.
 Creates a new instance of the class type corresponding to the SoType object.

  void SoSpecularColorElement::initClass (void ) [static]
Initialize relevant common data for all instances, like the type system.

  void SoSpecularColorElement::init (SoState * state) [virtual]
This function initializes the element type in the given SoState. It is called for the first element of each enabled element type in SoState objects.

Reimplemented from SoReplacedElement.

  const SbColor * SoSpecularColorElement::getArrayPtr (void ) const
Returns a pointer to the color array. This method is not part of the OIV API.

Author

Generated automatically by Doxygen for Coin from the source code.